{% extends 'base.html' %}

{% block head %}
	<script
		src="{{ url_for('static', filename='js/select2.js') }}"
		type="text/javascript"
	></script>
	<script
		src="{{ url_for('static', filename='js/candidates_responses.js') }}"
		type="text/javascript"
	></script>
	
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='css/candidates_responses.css') }}"
	>
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='css/select2.css') }}"
	>
	
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='fonts/open-sans/style.css') }}"
	>
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='fonts/bebas-neue/style.css') }}"
	>
{% endblock %}

{% block current_page %}Shoda našich kandidátů{% endblock %}

{% block description %}Shoda našich kandidátů s našim programem.{% endblock %}

{% block content %}
	<header>
		<h1>Shoda našich kandidátů</h1>
	</header>
	
	<main>
		<form method="get" id="district-filter-form">
			<label
				for="obec"
			>Obec</label>
			
			<select name="obec" id="obec" autocomplete="off" style="width:200px">
				<option
					value="zadna"
					{% if selected_district_slug is none %}selected{% endif %}
				>Vybrat</option>
				
				{% for region in config["REGIONS"].values() %}
					<optgroup label="{{ region["name"] }}">
						{% for district_slug in region["districts"] %}
							<option
								value="{{ district_slug }}"
								{% if district_slug == selected_district_slug %}selected{% endif %}
							>{{ config["DISTRICTS"][district_slug]["name"] }}</option>
						{% endfor %}
					</optgroup>
				{% endfor %}
			</select>
			
			<noscript>
				<input
					type="submit"
					value="Filtrovat"
				>
			</noscript>
		</form>
		
		{% if selected_district_slug is not none %}
			<div class="people">
				{% for person_slug in cached_results["sorted_district_people"][selected_district_slug] %}
					{% set person = config["PEOPLE"][person_slug] %}
					<section class="person">
						<div class="person-image">
							<img
								src="{{ url_for('static', filename='images/people/' + person_slug + '.png') }}"
								alt="Fotka osoby {{ person["name"] }}"
							>
							
							<div class="person-agreement-percentage">
								<div
									class="person-agreement-percentage-bar"
									style="width:{{ cached_results["people"][person_slug]["percentage"] }}%;animation-delay:-{{ cached_results["people"][person_slug]["percentage"] / 100 }}s"
								>
									<span
										class="person-agreement-percentage-number"
									>Shoda {{ cached_results["people"][person_slug]["percentage"] }}%</span>
								</div>
							</div>
						</div>
						
						<div class="person-description">
							<h2>{{ person["name"] }}</h2>
							
							<tt style="background:grey;color:white;padding:5px">Sem patří popis kandidáta, odkazy, atd.</tt>
							
							<br>
							
							<a
								class="show-answers"
								href="{{ url_for('calculator.view_candidate_opinions', person_slug=person_slug) }}"
							><img
								src="{{ url_for('static', filename='images/mag.svg') }}"
								width="25"
								height="25"
							>Zobrazit odpovědi</a>
						</div>
					</section>
				{% endfor %}
			</div>
		{% endif %}
		
		<a
			class="back-to-main"
			href="/"
		><img
			src="{{ url_for('static', filename='images/back.svg') }}"
			width="25"
			height="25"
		>Zpět na hlavní stránku</a>
	</main>
{% endblock %}
